com.corticon.rulesemf.ast

## Interface IfExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, IPrimaryExpression, org.eclipse.emf.common.notify.Notifier

      public interface IfExpression
      extends IPrimaryExpression

  A representation of the model object 'If Expression'.

  The following features are supported:

  - `If Expr`
  - `Then Expr`
  - `Else Expr`
  See Also:
    `AstPackage.getIfExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneralExpression` | `getElseExpr()` Returns the value of the 'Else Expr' containment reference
    `Expression` | `getIfExpr()` Returns the value of the 'If Expr' containment reference
    `GeneralExpression` | `getThenExpr()` Returns the value of the 'Then Expr' containment reference
    `void` | `setElseExpr(GeneralExpression value)` Sets the value of the '`Else Expr`' containment reference
    `void` | `setIfExpr(Expression value)` Sets the value of the '`If Expr`' containment reference
    `void` | `setThenExpr(GeneralExpression value)` Sets the value of the '`Then Expr`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.ast.IPrimaryExpression

      `getType, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getIfExpr

          Expression getIfExpr()

      Returns the value of the 'If Expr' containment reference.

      If the meaning of the 'If Expr' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'If Expr' containment reference.
      See Also:
        `setIfExpr(Expression)`, `AstPackage.getIfExpression_IfExpr()`

    - #### setIfExpr

          void setIfExpr(Expression value)

      Sets the value of the '`If Expr`' containment reference.
      Parameters:
        `value` - the new value of the 'If Expr' containment reference.
      See Also:
        `getIfExpr()`

    - #### getThenExpr

          GeneralExpression getThenExpr()

      Returns the value of the 'Then Expr' containment reference.

      If the meaning of the 'Then Expr' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Then Expr' containment reference.
      See Also:
        `setThenExpr(GeneralExpression)`, `AstPackage.getIfExpression_ThenExpr()`

    - #### setThenExpr

          void setThenExpr(GeneralExpression value)

      Sets the value of the '`Then Expr`' containment reference.
      Parameters:
        `value` - the new value of the 'Then Expr' containment reference.
      See Also:
        `getThenExpr()`

    - #### getElseExpr

          GeneralExpression getElseExpr()

      Returns the value of the 'Else Expr' containment reference.

      If the meaning of the 'Else Expr' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Else Expr' containment reference.
      See Also:
        `setElseExpr(GeneralExpression)`, `AstPackage.getIfExpression_ElseExpr()`

    - #### setElseExpr

          void setElseExpr(GeneralExpression value)

      Sets the value of the '`Else Expr`' containment reference.
      Parameters:
        `value` - the new value of the 'Else Expr' containment reference.
      See Also:
        `getElseExpr()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.